Class | Needle::InterceptorChainBuilder::InterceptedServiceProxy
In: | lib/needle/interceptor-chain.rb
Parent: | Object

This is just a trivial proxy class that is used to wrap a service before the interceptors are applied to it. This additional level of abstraction prevents the need for mangling the names of the service‘s methods, and also offers those applications that need it the ability to invoke methods of the service without going through the interceptors.

The proxy will be decorated with dynamically appended methods by the InterceptorChainBuilder#build method.

### Methods

new

### Public Class methods

new( chain )

Create a new InterceptedServiceProxy that wraps the given interceptor chain.

[Validate]